#!/usr/bin/env python
# -*- coding: utf-8 -*-

# Copyright (c) 2017 3D Control Systems LTD

# Author: Maxim Kozlov <m.kozlov@3dprinteos.com>

import re
import string
import logging
import time

import usb.core
import usb.util
import usb.backend.libusb1
import serial.tools.list_ports
import paths
import config


class U3Detector:
    def __init__(self):
        self.connection = u3api.Ultimaker3(self.PRINTER_IP, self.APPLICATION_NAME)

    def get_printers_list(self):
        printers = [{'COM': None, 'VID': 'ZZZZ', 'SNR': '0', 'PID': '00U3'}]

        return printers

if __name__ == '__main__':
    detector = U3Detector()
    printers = detector.get_printers_list()
    print("\nAll devices:")
    for printer in printers:
        print(printer)
